Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 1321)
+++ palm/trunk/SOURCE/check_open.f90	(revision 1327)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! parts concerning iso2d and avs output removed
 !
 ! Former revisions:
@@ -76,6 +76,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  avs_data_file, avs_output, coupling_char,                       &
-               data_output_2d_on_each_pe, do3d_compress, host, iso2d_output,   &
+        ONLY:  avs_data_file, coupling_char, data_output_2d_on_each_pe, host,  &
                message_string, mid, netcdf_data_format, nz_do3d, openfile,     &
                return_addres, return_username, run_description_header, runnr
@@ -231,5 +230,5 @@
           ENDIF
 
-       CASE ( 27, 28, 29, 31, 32, 33, 71:73, 90:99 )
+       CASE ( 27, 28, 29, 31, 33, 71:73, 90:99 )
 
 !
@@ -372,12 +371,4 @@
              DEALLOCATE( eta, ho, hu )
 
-!
-!--          Create output file for local parameters
-             IF ( iso2d_output )  THEN
-                OPEN ( 27, FILE='PLOT2D_XY_LOCAL'//coupling_char,              &
-                           FORM='FORMATTED', DELIM='APOSTROPHE' )
-                openfile(27)%opened = .TRUE.
-             ENDIF
-
           ENDIF
 
@@ -400,5 +391,5 @@
              ENDIF
 !
-!--          Determine and write ISO2D coordiante header
+!--          Determine and write ISO2D coordinate header
              ALLOCATE( eta(0:nz+1), ho(0:nx+1), hu(0:nx+1) )
              hu = 0.0
@@ -412,9 +403,4 @@
              WRITE (22)  dx,eta,hu,ho
              DEALLOCATE( eta, ho, hu )
-!
-!--          Create output file for local parameters
-             OPEN ( 28, FILE='PLOT2D_XZ_LOCAL'//coupling_char,                 &
-                        FORM='FORMATTED', DELIM='APOSTROPHE' )
-             openfile(28)%opened = .TRUE.
 
           ENDIF
@@ -450,9 +436,4 @@
              WRITE (23)  dx,eta,hu,ho
              DEALLOCATE( eta, ho, hu )
-!
-!--          Create output file for local parameters
-             OPEN ( 29, FILE='PLOT2D_YZ_LOCAL'//coupling_char,                 &
-                        FORM='FORMATTED', DELIM='APOSTROPHE' )
-             openfile(29)%opened = .TRUE.
 
           ENDIF
@@ -468,162 +449,7 @@
 !
 !--          Specifications for combine_plot_fields
-             IF ( .NOT. do3d_compress )  THEN
-                WRITE ( 30 )  -nbgp,nx+nbgp,-nbgp,ny+nbgp, 0 ,nz_do3d
-                WRITE ( 30 )  0,nx+1,0,ny+1,0,nz_do3d
-             ENDIF
+             WRITE ( 30 )  -nbgp,nx+nbgp,-nbgp,ny+nbgp, 0 ,nz_do3d
+             WRITE ( 30 )  0,nx+1,0,ny+1,0,nz_do3d
 #endif
-!
-!--          Write coordinate file for AVS:
-!--          First determine file names (including cyle numbers) of AVS files on
-!--          target machine (to which the files are to be transferred).
-!--          Therefore path information has to be obtained first.
-             IF ( avs_output )  THEN
-                iaddres = LEN_TRIM( return_addres )
-                iusern  = LEN_TRIM( return_username )
-
-                OPEN ( 3, FILE='OUTPUT_FILE_CONNECTIONS', FORM='FORMATTED' )
-                DO  WHILE ( .NOT. avs_coor_file_found  .OR.                    &
-                            .NOT. avs_data_file_found )
-
-                   READ ( 3, '(A)', END=1 )  line
-
-                   SELECT CASE ( line(1:11) )
-
-                      CASE ( 'PLOT3D_COOR' )
-                         READ ( 3, '(A/A)' )  avs_coor_file_catalog,           &
-                                              avs_coor_file_localname
-                         avs_coor_file_found = .TRUE.
-
-                      CASE ( 'PLOT3D_DATA' )
-                         READ ( 3, '(A/A)' )  avs_data_file_catalog,           &
-                                              avs_data_file_localname
-                         avs_data_file_found = .TRUE.
-
-                      CASE DEFAULT
-                         READ ( 3, '(A/A)' )  line, line
-
-                   END SELECT
-
-                ENDDO
-!
-!--             Now the cycle numbers on the remote machine must be obtained
-!--             using batch_scp
-       1        CLOSE ( 3 )
-                IF ( .NOT. avs_coor_file_found  .OR.                           &
-                     .NOT. avs_data_file_found )  THEN
-                   message_string= 'no filename for AVS-data-file ' //         &
-                                   'found in MRUN-config-file' //              &
-                                   ' &filename in FLD-file set to "unknown"'
-                   CALL message( 'check_open', 'PA0169', 0, 1, 0, 6, 0 )
-
-                   avs_coor_file = 'unknown'
-                   avs_data_file = 'unknown'
-                ELSE
-                   get_filenames = .TRUE.
-                   IF ( TRIM( host ) == 'hpmuk'  .OR.                          &
-                        TRIM( host ) == 'lcmuk' )  THEN
-                      batch_scp = '/home/raasch/pub/batch_scp'
-                   ELSEIF ( TRIM( host ) == 'nech' )  THEN
-                      batch_scp = '/ipf/b/b323011/pub/batch_scp'
-                   ELSEIF ( TRIM( host ) == 'ibmh'  .OR.                       &
-                            TRIM( host ) == 'ibmb' )  THEN
-                      batch_scp = '/home/h/niksiraa/pub/batch_scp'
-                   ELSEIF ( TRIM( host ) == 't3eb' )  THEN
-                      batch_scp = '/home/nhbksira/pub/batch_scp'
-                   ELSE
-                      message_string= 'no path for batch_scp on host "' //     &
-                                       TRIM( host ) // '"'
-                      CALL message( 'check_open', 'PA0170', 0, 1, 0, 6, 0 )
-                      get_filenames = .FALSE.
-                   ENDIF
-
-                   IF ( get_filenames )  THEN
-!
-!--                   Determine the coordinate file name.
-!--                   /etc/passwd serves as Dummy-Datei, because it is not 
-!--                   really transferred.
-                      command = TRIM( batch_scp ) // ' -n -u ' //              &
-                         return_username(1:iusern) // ' ' //                   &
-                         return_addres(1:iaddres) // ' /etc/passwd "' //       &
-                         TRIM( avs_coor_file_catalog ) // '" ' //              &
-                         TRIM( avs_coor_file_localname ) // ' > REMOTE_FILENAME'
-
-                      CALL local_system( command )
-                      OPEN ( 3, FILE='REMOTE_FILENAME', FORM='FORMATTED' )
-                      READ ( 3, '(A)' )  avs_coor_file
-                      CLOSE ( 3 )
-!
-!--                   Determine the data file name
-                      command = TRIM( batch_scp ) // ' -n -u ' //              &
-                         return_username(1:iusern) // ' ' //                   &
-                         return_addres(1:iaddres) // ' /etc/passwd "' //       &
-                         TRIM( avs_data_file_catalog ) // '" ' //              &
-                         TRIM( avs_data_file_localname ) // ' > REMOTE_FILENAME'
-
-                      CALL local_system( command )
-                      OPEN ( 3, FILE='REMOTE_FILENAME', FORM='FORMATTED' )
-                      READ ( 3, '(A)' )  avs_data_file
-                      CLOSE ( 3 )
-
-                   ELSE
-
-                      avs_coor_file = 'unknown'
-                      avs_data_file = 'unknown'
-
-                   ENDIF
-
-                ENDIF
-
-!
-!--             Output of the coordinate file description for FLD-file
-                OPEN ( 33, FILE='PLOT3D_FLD_COOR', FORM='FORMATTED' )
-                openfile(33)%opened = .TRUE.
-                WRITE ( 33, 3300 )  TRIM( avs_coor_file ),                     &
-                                    TRIM( avs_coor_file ), (nx+2*nbgp)*4,      &
-                                    TRIM( avs_coor_file ), (nx+2*nbgp)*4+(ny+2*nbgp)*4
-            
-
-                ALLOCATE( xkoor(0:nx+1), ykoor(0:ny+1), zkoor(0:nz_do3d) )
-                DO  i = 0, nx+1
-                   xkoor(i) = i * dx
-                ENDDO
-                DO  j = 0, ny+1
-                   ykoor(j) = j * dy
-                ENDDO
-                DO  k = 0, nz_do3d
-                   zkoor(k) = zu(k)
-                ENDDO
-
-!
-!--             Create and write on AVS coordinate file
-                OPEN ( 31, FILE='PLOT3D_COOR', FORM='UNFORMATTED' )
-                openfile(31)%opened = .TRUE.
-
-                WRITE (31)  xkoor, ykoor, zkoor
-                DEALLOCATE( xkoor, ykoor, zkoor )
-
-!
-!--             Create FLD file (being written on in close_file)
-                OPEN ( 32, FILE='PLOT3D_FLD', FORM='FORMATTED' )
-                openfile(32)%opened = .TRUE.
-
-!
-!--             Create flag file for compressed 3D output,
-!--             influences output commands in mrun
-                IF ( do3d_compress )  THEN
-                   OPEN ( 3, FILE='PLOT3D_COMPRESSED', FORM='FORMATTED' )
-                   WRITE ( 3, '(1X)' )
-                   CLOSE ( 3 )
-                ENDIF 
-
-             ENDIF
-
-          ENDIF
-
-!
-!--       In case of data compression output of the coordinates of the
-!--       corresponding partial array of a PE only once at the top of the file
-          IF ( avs_output  .AND.  do3d_compress )  THEN
-             WRITE ( 30 )  nxlg, nxrg, nysg, nyng, nzb, nz_do3d
           ENDIF
 
